@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@600&display=swap');

:root {
  --color-pagination-primary: #f9b200;
  --color-pagination-secondary: #b3cb00;
  --main-color-tertiary: #b3cb00;
}

html,
body {
  overflow-x: hidden;
}

.pagenumbers {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.pagenumbers button {
  width: 35px;
  height: 35px;
  border-radius: 50px;
  appearance: none;
  border: none;
  outline: none;
  cursor: pointer;
  background-color: var(--color-pagination-secondary);
  margin: 5px;
  transition: 0.4s;
  color: #fff;
  font-size: 18px;
  text-shadow: 0px 0px 4px rgba(0, 0, 0, 0.2);
  box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.2);
}

.pagenumbers button:hover {
  background-color: var(--color-pagination-primary);
}

.pagenumbers button.active {
  background-color: var(--color-pagination-primary);
  box-shadow: inset 0px 0px 4px rgba(0, 0, 0, 0.2);
}

.pagenumbers-prof {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.pagenumbers-prof button {
  width: 35px;
  height: 35px;
  border-radius: 50px;
  appearance: none;
  border: none;
  outline: none;
  cursor: pointer;
  background-color: var(--color-pagination-secondary);
  margin: 5px;
  transition: 0.4s;
  color: #fff;
  font-size: 18px;
  text-shadow: 0px 0px 4px rgba(0, 0, 0, 0.2);
  box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.2);
}

.pagenumbers-prof button:hover {
  background-color: var(--color-pagination-primary);
}

.pagenumbers-prof button.active {
  background-color: var(--color-pagination-primary);
  box-shadow: inset 0px 0px 4px rgba(0, 0, 0, 0.2);
}

/* Spinners */

@keyframes rotate {
  to {
    transform: rotate(360deg);
  }
}

.spinner-border {
  display: inline-block;
  width: 1rem;
  height: 1rem;
  vertical-align: text-bottom;
  border: 0.25em solid currentColor;
  border-right-color: transparent;
  border-radius: 50%;
  -webkit-animation: spinner-border 0.75s linear infinite;
  animation: rotate 1s linear infinite;
}

.spinner-logo-ul {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 100px;
  height: 100px;
  background: url('../img/agendar/logomavi.png') no-repeat;
  background-size: 100px;
  animation: pulse 0.7s infinite;
  animation-direction: alternate;
  animation-name: pulse;
}

@keyframes pulse {
  0% {
    opacity: 0.8;
    transform: scale(1);
    filter: brightness(250%);
  }

  100% {
    transform: scale(1.3);
    filter: brightness(130%);
  }
}

/* PROGRESSO */

.step {
  padding: 3px;
  height: 23px;
  width: 23px;
  margin: 0 0px;
  padding-top: 0px;
  background-color: var(--color-pagination-secondary);
  border: none;
  border-radius: 50%;
  display: inline-block;
  opacity: 0.5;
}

.step.ativo {
  opacity: 1;
  padding-top: 5px;
  height: 35px;
  width: 35px;
}

.step.finish {
  background-color: var(--color-pagination-primary);
}

/*Info de erro*/

label.error {
  font-size: 12px;
  color: #dc3545;
  margin-bottom: 0px;
}

.error {
  font-size: 12px;
  color: #dc3545;
  margin-bottom: 0px;
}

.form-control.error {
  border-color: #dc3545;
}

.form-control.error:focus {
  box-shadow: 0 0 6px #dc3545;
}

/* Input personalizado */
/* Estrutura */

.input-container {
  position: relative;
}

input.input {
  border: 0;
  border-bottom: 2px solid #9e9e9e;
  outline: none;
  transition: 0.2s ease-in-out;
  box-sizing: border-box;
}

label.label {
  top: 0;
  left: 0;
  right: 0;
  color: #616161;
  display: flex;
  align-items: center;
  position: absolute;
  font-size: 1rem;
  cursor: text;
  transition: 0.2s ease-in-out;
  box-sizing: border-box;
}

input.input,
label.label {
  width: 100%;
  height: 3rem;
  font-size: 1rem;
}

/* Interation */

input.input:valid,
input.input:focus {
  border-bottom: 2px solid #9e9e9e;
}

input.input:valid+label.label,
input.input:focus+label.label {
  color: #000;
  font-size: 0.9rem;
  top: -20px;
  pointer-events: none;
}

/* responsivo */

@media screen and (max-width: 600px) {
  .font-resp {
    font-size: 13px;
  }
}

@media (max-width: 768px) {
  .imgCalendar {
    margin-left: 0px !important;
  }
}

/* @media (max-width: 768px) {
  .d-block {
    margin-left: 0px !important;
  }
}
@media (max-width: 320px) {
  .size-colunm {
    width: 170px !important;
    margin-left: 5px !important;
  }
}
@media (min-width: 320px) {
  .divisor1 {
    width: 224px !important;
  }
}
@media (min-width: 320px) {
  .select2 {
    width: 270px !important;
  }
}
@media (max-width: 425px) {
  .select2 {
    width: 350px !important;
  }
} */

/* // Dispositivos extra small (telefones em modo retrato, com menos de 576px) */
@media (max-width: 320px) {
  .fonte-cartao {
    font-size: 13px !important;
  }

  .resp-boleto {
    max-width: 306px !important;
  }

  .btn-enviar-senha {
    margin-top: 20px !important;
  }

  /* .btn-select-border {
    margin-top: 20px !important
  } */

}


@media (max-width: 575.98px) {
  .btn-select-acessar {
    width: 139px !important;
  }

  .fonte-lembre-se {
    font-size: 10px !important;
  }

  .box-info-boleto {
    height: 100% !important;
    padding: 0px 44px !important;
  }

  .btn-enviar-senha {
    width: 180px !important;
  }

  .btn-select-verde {
    width: 221px !important;
  }

  .resp-boleto {
    max-width: 394px !important;
  }

  .fonte-cartao {
    font-size: 16px !important;
  }

  .btn-voltar-ao-inicio {
    margin-bottom: 30px;
    max-width: 213px;
    width: 100%;
  }

  .resp-loading {
    margin-bottom: 48px;
  }

  .size-colunm {
    width: 100% !important;
    margin-left: 25px !important;
  }

  .select2 {
    width: 280px !important;
    margin-right: 25px !important;
  }

  .center-mid {
    justify-content: flex-start !important;
  }

  .mar {
    justify-content: flex-start !important;
    margin-left: 0px !important;
  }

  .btn-select-border-green4 {
    width: 100% !important;
  }

  .editar-info {
    width: 100% !important;
  }

  .btn-anamnese {
    margin-top: 15px;
  }

  .mare {
    display: flex;
    justify-content: flex-start !important;
    margin-left: 22px !important;
  }
}

/* // Dispositivos small (telefones em modo paisagem, com 576px ou mais) */
@media (min-width: 576px) and (max-width: 767.98px) {
  .btn-voltar-ao-inicio {
    margin-bottom: 30px;
    width: 213px;
  }

  .size-colunm {
    width: 100% !important;
    margin-left: 5px !important;
  }

  .select2 {
    width: 250px !important;
  }

  .resp-cell {
    margin-left: 25px !important;
  }

  .center-mid {
    justify-content: flex-start !important;
  }

  .mar {
    justify-content: flex-start !important;
    margin-left: 22px !important;
  }

  .mare {
    display: flex;
    justify-content: flex-start !important;
    margin-left: 22px !important;
  }

  .editar-info {
    display: flex !important;
    justify-content: center !important;
  }

  .dorango {
    display: flex;
    justify-content: center !important;
  }

  .dorango2 {
    display: flex;
    justify-content: center !important;
  }

  .btn-anamnese {
    margin-top: 15px;
  }
}

/* // Dispositivos médios (tablets com 768px ou mais) */
@media (min-width: 768px) and (max-width: 991.98px) {
  .btn-voltar-ao-inicio {
    margin-bottom: 57px;
    width: 325px;
  }

  .size-colunm {
    width: 600px !important;
  }

  .select2 {
    width: 300px !important;
  }

  .mar {
    justify-content: flex-start !important;
    margin-left: 22px !important;
  }

  .center-mid {
    justify-content: flex-start !important;
  }

  .mare {
    display: flex;
    justify-content: flex-start !important;
    margin-left: 22px !important;
  }
}

/* // Dispositivos large (desktops com 992px ou mais) */
@media (min-width: 992px) and (max-width: 1199.98px) {
  .btn-voltar-ao-inicio {
    margin-bottom: 57px;
    width: 325px;
  }

  .select2 {
    width: 400px !important;
  }

  .mar {
    margin-top: 15px !important;
  }
}

/* // Dispositivos extra large (desktops grandes com 1200px ou mais) */
@media (min-width: 1200px) {
  .btn-voltar-ao-inicio {
    margin-bottom: 57px;
    width: 325px;
  }
}

.img-redimencionar-div {
  width: 100%;
  height: 100%;
  object-fit: cover;
  background-repeat: no-repeat;
  background-attachment: scroll;
  background-position: center center;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}

/* Jornada data e hora */

.hr-calendar {
  border-radius: 20px;
  background-color: #ffdd86;
  color: #596500;
  font-weight: bold;
  padding: 10px 0px;
  font-size: 13px;
}

.hr-calendar:hover {
  background-color: var(--main-color-tertiary);
  color: #fff;
  font-weight: bold;
}

.hr-marcar {
  background-color: var(--main-color-tertiary);
  color: #fff;
  font-weight: bold;
  padding: 10px 0px;
  font-size: 13px;
  border-radius: 20px;
}

.hr-indisponivel {
  border-radius: 20px;
  background-color: #e2e2e2;
  color: #000;
  padding: 10px 0px;
  font-size: 13px;
  opacity: 0.5;
}

.hr-clicle {
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #ffdd86;
  border: none;
  border-radius: 50%;
  display: inline-block;
}

.hr-clicle-green {
  height: 10px;
  width: 10px;
  margin: 0 2px;
  border: 2px solid var(--main-color-tertiary);
  background-color: var(--main-color-tertiary);
  border-radius: 50%;
  display: inline-block;
}

#btn-next-consulta {
  background-color: var(--main-color-tertiary);
  color: #fff;
  border-radius: 15px;
  color: #fff;
  font-weight: bold;
  padding: 2px 25px;
  font-size: 23px;
}

.btn-confirma-horarios {
  background-color: var(--main-color-tertiary);
  color: #fff;
  border-radius: 15px;
  color: #fff;
  padding: 2px 25px;
}

.text-color-infodata {
  color: var(--main-color-tertiary);
}

/* jornada confirma pagamento */

.btn-select-green {
  color: #fff;
  background-color: var(--main-color-tertiary);
  font-weight: bold;
  padding: 2px 25px;
  font-size: 15px;
  border-radius: 60px;
}

.btn-select-acessar {
  color: #fff;
  background-color: var(--main-color-tertiary);
  font-weight: bold;
  font-size: 15px;
  border-radius: 60px;
}

.btn-select-verde {
  color: #fff;
  background-color: var(--main-color-tertiary);
  font-weight: bold;
  width: 325px;
  padding: 2px 25px;
  font-size: 15px;
  height: 39px;
  border-radius: 60px;
}

.btn-select-verde :hover {
  color: #fff;
}

.btn-voltar-ao-inicio {
  border-color: var(--main-color-tertiary);
  color: #646464;
  background-color: #fff;
  font-weight: bold;
  width: 325px;
  padding: 2px 25px;
  font-size: 15px;
  height: 39px;
  border-radius: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.btn-volta-inicio:hover {
  color: #fff;
  background-color: var(--main-color-tertiary);
  transition: 0.3s;

}

.btn-extrato {
  border-radius: 15px;
  color: #fff;
  font-size: 12px;
  background-color: var(--main-color-tertiary);
  width: 298px;
}

.btn-extrato-voltar {
  border-radius: 15px;
  color: #fff;
  font-size: 12px;
  background-color: var(--main-color-tertiary);
  width: 218px;
}

.central-extrato {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.btn-select-green:hover {
  box-shadow: 0 0 0.5em var(--main-color-tertiary);
  color: #f9b200;
}

.btn-new-select-border-green {
  color: #9fb414;
  border-radius: 45px;
  border-color: #9fb414;
  border: 2px solid #9fb414;
  font-size: 11px;
  background-color: #fff;
  font-weight: bold;
}

.new-btn-select-border-default-color {
  color: #9fb414;
  border-radius: 45px;
  border-color: #9fb414;
  border: 2px solid #9fb414;
  font-size: 11px;
  background-color: #fff;
  font-weight: bold;
}

.btn-select-border-green {
  color: #9fb414;
  border-radius: 45px;
  border-color: #9fb414;
  border: 2px solid #9fb414;
  font-size: 11px;
  background-color: #fff;
  font-weight: bold;
  width: 215px;
  height: 54px;
  padding-top: 20px;
  display: flex;
}

.btn-select-border-green4 {
  display: flex;
  color: #9fb414;
  border-radius: 45px;
  border-color: #9fb414;
  border: 2px solid #9fb414;
  background-color: #9fb414;
  width: 297px;
  height: 48px;
  padding-top: 20px;
  align-items: center;
  flex-direction: column;
  display: flex;
  justify-content: flex-start;
  text-decoration: none;
}

.btn-save {
  display: flex;
  color: #9fb414;
  border-radius: 45px;
  border-color: #9fb414;
  background-color: #5cc8d2;
  width: 297px;
  height: 48px;
  padding-top: 20px;
  align-items: center;
  flex-direction: column;
  display: flex;
  justify-content: flex-start;
  text-decoration: none;
}

.btn-OK {
  color: #fff;
  border-radius: 45px;
  background-color: #5cc8d2;
  align-items: center;
  flex-direction: column;
  display: flex;
  justify-content: flex-start;
  text-decoration: none;
}

.btn-select-border-green2 {
  color: #9fb414;
  border-radius: 45px;
  border-color: #9fb414;
  border: 2px solid #9fb414;
  font-size: 11px;
  background-color: #fff;
  font-weight: bold;
}

.editar-info {
  border: 1px solid black;
  border-radius: 30px;
  height: 48px;
  width: 297px;
  align-items: center;
  justify-content: center;
}

.btn-consulta-agendada {
  border-color: #9fb414;
  border-radius: 15px;
  border: 2px solid #9fb414;
  background-color: #9fb414;
  width: 520px;
  height: 48px;
  padding-top: 20px;
  display: flex;
  align-items: stretch;
  justify-content: space-evenly;
  align-content: stretch;
  flex-wrap: wrap;
  flex-direction: column;
}

/* .neymar {
  height: 48px;
  width: 297px;
  align-items: center;
  justify-content: center;
} */
.dorango {
  display: flex;
  justify-content: flex-end;
}

.btn-select-border-green-light:hover {
  background-color: var(--main-color-tertiary);
  color: #fff;
}

.btn-select-border-green-light {
  color: var(--main-color-tertiary);
  border-radius: 45px;
  border-color: var(--main-color-tertiary);
  border: 2px solid var(--main-color-tertiary);
  font-size: 11px;
  background-color: #fff;
  width: 215px;
  height: 54px;
  font-weight: bold;
}

.btn-select-border-green:hover {
  background-color: #9fb414;
  color: #fff;
}

.btn-select-create {
  border-radius: 10px;
  color: #fff;
  font-size: 12px;
  background-color: var(--main-color-tertiary);
}

.btn-select-create:hover {
  box-shadow: 0 0 0.5em var(--main-color-tertiary);
  color: #fff;
}

.btn-select-border {
  border-radius: 10px;
  background-color: #fff;
  border-color: var(--main-color-tertiary);
  border: 2px solid var(--main-color-tertiary);
  color: rgb(121, 121, 121);
  font-size: 12px;
  font-weight: bold;
}

.btn-select-border:hover {
  box-shadow: 0 0 0.5em var(--main-color-tertiary);
}

.color-text-principal {
  color: var(--color-pagination-tertiary);
}

.color-text-principal:hover {
  color: var(--color-pagination-tertiary);
}

.nav-tabs .nav-item.show .nav-link .color-text-principal,
.nav-tabs .nav-link.active.color-text-principal {
  color: var(--color-pagination-tertiary);
}

.statusCirculo {
  width: 15px;
  height: 15px;
  border-radius: 50%;
  position: absolute;
  margin-left: -20px;
  margin-right: 0;
  margin-top: 4px;
}

.statusCirculo.agendada {
  background-color: #1e2f66;
}

.statusCirculo.pendente {
  background-color: #e9b337;
}

.statusCirculo.cancelado {
  background-color: #c91934;
}

.statusCirculo.concluida {
  background-color: #008400;
}

/* CARTAO PAGINA */

.hidden {
  display: none;
}

.perfil-option-container {
  padding: 0px 10px 70px !important;
  /* display: grid; 
  grid-template: auto / 1fr 1fr 1fr 1fr;
  column-gap: 10px; */
  height: 100%;
}

.perfil-options {

  position: relative;
  background-color: var(--main-color-tertiary);
  border-radius: 10px;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  padding-top: 25px;
  color: white;
}

.perfil-options:hover {
  color: white;
}

.perfil-options p {
  /* margin-top: 20px; */
  font-size: 0.8rem;
  margin: 0;
  position: absolute;
  bottom: 10px;
}

.perfil-options img {
  width: 30px;
}

.perfil-options img:nth-last-child {
  width: 90px;
  margin-top: -10px;
}

.btn-exames {
  color: #fff;
  padding: 1rem 5rem;
  font-size: 1.25rem;
  line-height: 1.5;
  border-radius: 10.3rem;
  border-width: 2px;
  border-style: dashed;
}

.btn-exames2 {
  background-color: #1e2f66;
  color: #fff;
  padding: 1rem 4rem;
  font-size: 1.25rem;
  line-height: 1.5;
  border-radius: 10.3rem;
  border-width: 2px;
  margin-bottom: -60px;
  margin-left: 464px;
}

.btn-exames3 {
  background-color: #1e2f66;
  color: #fff;
  padding: 1rem 4rem;
  font-size: 1.25rem;
  line-height: 1.5;
  border-radius: 10.3rem;
  border-width: 2px;
  margin-right: 461px;
  margin-bottom: -60px;
  margin-top: 50px;
}

.btn-enviar-senha {
  width: 200px;
  color: white;
}

.center-mid {
  display: flex;
  align-items: flex-end;
  justify-content: center;
}

.center-middle {
  display: flex;
  align-items: flex-end;
  justify-content: flex-start;
}

.color-gray {
  color: #777777;
  font-weight: 600;
}

.text-agend {
  color: #fff;
}

.anamnese1 {
  border: #000;
  background-color: #fff;
  border-radius: 30px;
}

.divisor1 {
  width: 189px;
  margin: 1px 0;
  margin-bottom: 10px;
  border: 1px solid #8C8C8C;
}

.divisor2 {
  width: 100px;
  margin: 1px 0;

  border: 1px solid #e0e0e0;
}

::placeholder {
  font-style: italic;
}

.input-padronized {
  background-color: rgb(228, 222, 222);
  color: black;
  padding: 6px;
  border-radius: 4px;
  border: 1px solid black;
}

.cursor {
  cursor: pointer;
}

@media(max-width: 381px) {
  .btn-presencial-banner1 {
    margin-bottom: 12px;
    margin-right: 0 !important;
  }
}

@media(max-width: 377px) {
  .btn-presencial-banner2 {
    margin-bottom: 12px;
    margin-right: 0 !important;
  }
}

@media(max-width: 338px) {
  .box-acessar-esq-senha {
    display: flex;
    flex-direction: column;
  }

  .btn-acessar-confirmar-por-video {
    margin-bottom: 12px;
  }
}

